Name:		kgraphviewer
Version: 	2.1
Release: 	%mkrel 1
Summary:	A GraphViz dot graph viewer for KDE
Source0: 	https://api.opensuse.org/public/source/home:milianw:kdeapps/kgraphviewer/%name-%version.tar.gz
License: 	GPLv2+
Group: 		Graphics	 	
Url: 		https://gna.org/projects/kgraphviewer
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	graphviz
BuildRequires:	boost-devel
BuildRequires: 	kdepimlibs4-devel
BuildRequires:	desktop-file-utils
BuildRequires:	graphviz-devel
Obsoletes:      kde4-%name <= 2.0
Provides:       kde4-%name = %version

%description
KGraphViewer is user-friendly KDE application for viewing dot graphs
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and toolbar for selecting layout algorithms
- session management

%files -f %name.lang
%defattr(-,root,root)
%_kde_bindir/*
%_kde_libdir/kde4/*.so
%_kde_datadir/applications/kde4/*.desktop
%_kde_appsdir/*
%_kde_datadir/config.kcfg/*.kcfg
%_kde_iconsdir/*/*/*/*.png
%_kde_datadir/kde4/services/*.desktop

#--------------------------------------------------------------------

%define libkgraphviewer %mklibname kgraphviewer 3

%package -n %libkgraphviewer
Group:		Graphics
Summary:	Shared library for %name

%description -n %libkgraphviewer
This package contains shared library for %name.

%files -n %libkgraphviewer
%defattr(-,root,root)
%{_kde_libdir}/libkgraphviewer.so.*

#--------------------------------------------------------------------

%package devel
Group:		Graphics
Summary:	Development files for %name
Requires:	%libkgraphviewer = %version

%description devel
This package contains development files for %name.

%files devel
%defattr(-,root,root)
%{_kde_libdir}/libkgraphviewer.so
%{_kde_includedir}/%name

#--------------------------------------------------------------------

%prep
%setup -q -n %name

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

desktop-file-install --vendor='' \
	--dir %buildroot%_kde_datadir/applications/kde4/ \
	--remove-key='Encoding' \
	--remove-category='Application' \
	--add-category='Science;Education' \
	%buildroot%_kde_datadir/applications/kde4/kgraphviewer.desktop \
	%buildroot%_kde_datadir/applications/kde4/kgrapheditor.desktop

%find_lang %name --with-html

%clean
rm -rf %{buildroot}


%changelog
* Thu Nov 04 2010 Funda Wang <fwang@mandriva.org> 2.1-1mdv2010.1
+ Revision: 593057
- new version 2.1

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 2.0.90-1mdv2011.0
+ Revision: 549922
- New version 2.0.90

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.0.2-5mdv2010.1
+ Revision: 438101
- rebuild

* Thu Jan 22 2009 Helio Chissini de Castro <helio@mandriva.com> 2.0.2-4mdv2009.1
+ Revision: 332662
- Update with latest tarball provided by extragear module

* Fri Jul 04 2008 Pixel <pixel@mandriva.com> 2.0.2-3mdv2009.0
+ Revision: 231503
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 30 2008 Funda Wang <fwang@mandriva.org> 2.0.2-2mdv2009.0
+ Revision: 213224
- New version 2.0.2

* Tue May 13 2008 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2009.0
+ Revision: 206552
- New version 2.0.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix provides // Obsoletes
      Fix File list to  fit kde4 policy
    - Rename spec file and fix spec file
    - Use new policy name

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 2.0-1mdv2008.1
+ Revision: 182322
- New version 2.0

* Sun Dec 30 2007 Funda Wang <fwang@mandriva.org> 1.99.1-1mdv2008.1
+ Revision: 139425
- import SOURCES and SPECS
- create kde4-kgraphviewer


* Mon Jul 10 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.2-1 
- 1.0.2

* Sat Jun 24 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0.1-1 
- 1.0.1

* Mon May 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-0.rc1.4mdv2007.0
- Add BuildRequires

* Mon May 29 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.3
- Add requires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.2
- Fix buildrequires

* Sun May 28 2006 Laurent MONTEL <lmontel@mandriva.com> 1.0-0.rc1.1
- 1.0rc1

* Tue May 23 2006 Laurent MONTEL <lmontel@mandriva.com> 0.9-1
- 0.9

* Sun May 21 2006 Laurent MONTEL <lmontel@mandriva.com> 0.8-1
- I don't understand how this package was created previously... => fix spec file

* Sun Apr 23 2006 Lev Givon <lev@mandriva.org> 0.3.2-1mdk
- Initial Mandriva package.

